Get routable domains

View as Markdown
  • GET
  • /workspaces
  • /:workspace
  • /distributions
  • /:distribution_id
  • /routable-domains

Get domains routable to a distribution

Request

REQUIRED SCOPES
DISTRIBUTION_READ
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

distribution_idrequiredstring
The ID of the distribution

Example: "nZrnl40Y"

GET PARAMETERS
project_namestring
Project name to filter distributions

Example: "my-project"

environment_idstring
Environment ID to filter distributions

Example: "3a4KbBQl"

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
routable_domainsRoutableDomainView[]

Last modified on Jun 29, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/distributions/:distribution_id/routable-domains" \
  -H "Authorization: Bearer <YOUR-TOKEN>" \
  -H "Content-Type: application/json"
EXAMPLE RESPONSE
{
  "url": "https://api.buddy.works/workspaces/my-workspace/distributions/rm1P93jG/routable-domains",
  "routable_domains": [
    {
      "domain": "buddy.works",
      "type": "INTERNAL",
      "zone_id": null
    },
    {
      "domain": "example.com",
      "type": "CLAIMED",
      "zone_id": "1ObP9zw8"
    }
  ]
}
STATUS
200 OK